Bug 984512 - nfs: dbench returns "directory not empty" and EBADF
nfs: dbench returns "directory not empty" and EBADF
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-nfs (Show other bugs)
2.1
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Niels de Vos
storage-qa-internal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 08:18 EDT by Saurabh
Modified: 2016-01-19 01:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 12:16:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2013-07-15 08:18:47 EDT
Description of problem:
Volume Name: dist-rep
Type: Distributed-Replicate
Volume ID: 7ec74a9e-3af7-471d-b134-3c439b2564de
Status: Started
Number of Bricks: 6 x 2 = 12
Transport-type: tcp
Bricks:
Brick1: 10.70.37.180:/rhs/bricks/d1r1
Brick2: 10.70.37.80:/rhs/bricks/d1r2
Brick3: 10.70.37.216:/rhs/bricks/d2r1
Brick4: 10.70.37.139:/rhs/bricks/d2r2
Brick5: 10.70.37.180:/rhs/bricks/d3r1
Brick6: 10.70.37.80:/rhs/bricks/d3r2
Brick7: 10.70.37.216:/rhs/bricks/d4r1
Brick8: 10.70.37.139:/rhs/bricks/d4r2
Brick9: 10.70.37.180:/rhs/bricks/d5r1
Brick10: 10.70.37.80:/rhs/bricks/d5r2
Brick11: 10.70.37.216:/rhs/bricks/d6r1
Brick12: 10.70.37.139:/rhs/bricks/d6r2
Options Reconfigured:
features.quota: on


Version-Release number of selected component (if applicable):

[root@nfs2 ~]# rpm -qa | grep glusterfs
glusterfs-server-3.4.0.12rhs.beta4-1.el6rhs.x86_64
glusterfs-fuse-3.4.0.12rhs.beta4-1.el6rhs.x86_64
glusterfs-3.4.0.12rhs.beta4-1.el6rhs.x86_64
[root@nfs2 ~]# 

How reproducible:

found on this build

Steps to Reproduce:
1. create a volume, start it
2. enable quota 
3. mount the volume over nfs
4. mkdir <dir>
5. #time /opt/qa/tools/dbench -t 300 -c /usr/local/share/client.txt -s -S 10



Actual results:
[2013-07-15 01:17:31.783536] W [nfs3.c:3508:nfs3svc_rmdir_cbk] 0-nfs: 5d330565: /newrun/clients => -1 (Directory not empty)
[2013-07-15 01:17:31.815934] W [nfs3.c:3508:nfs3svc_rmdir_cbk] 0-nfs: 73330565: /newrun/clients => -1 (Directory not empty)
[2013-07-15 01:17:32.038184] W [nfs3.c:3508:nfs3svc_rmdir_cbk] 0-nfs: 38340565: /newrun/clients => -1 (Directory not empty)
[2013-07-15 01:17:32.494422] W [nfs3.c:3508:nfs3svc_rmdir_cbk] 0-nfs: b0350565: /newrun/clients => -1 (Directory not empty)
[2013-07-15 01:17:32.586063] W [nfs3.c:3508:nfs3svc_rmdir_cbk] 0-nfs: eb350565: /newrun/clients => -1 (Directory not empty)
[2013-07-15 01:17:32.654156] W [nfs3.c:3508:nfs3svc_rmdir_cbk] 0-nfs: 29360565: /newrun/clients => -1 (Directory not empty)
[2013-07-15 01:17:32.714926] W [nfs3.c:3508:nfs3svc_rmdir_cbk] 0-nfs: 68360565: /newrun/clients => -1 (Directory not empty)
[2013-07-15 01:17:32.796250] W [nfs3.c:3508:nfs3svc_rmdir_cbk] 0-nfs: ad360565: /newrun/clients => -1 (Directory not empty)
[2013-07-15 01:17:32.798279] E [nfs3.c:762:nfs3_getattr_resume] 0-nfs-nfsv3: No such file or directory: (10.70.37.5:846) dist-rep : 4dc35859-39cd-48d0-804b-646795a15b31
[2013-07-15 01:17:32.798323] W [nfs3-helpers.c:3391:nfs3_log_common_res] 0-nfs-nfsv3: XID: af360565, GETATTR: NFS: 2(No such file or directory), POSIX: 14(Bad address)
[2013-07-15 01:17:32.800615] E [nfs3.c:762:nfs3_getattr_resume] 0-nfs-nfsv3: No such file or directory: (10.70.37.5:846) dist-rep : 7f186146-172f-4d02-b8d9-10fa0a76c8a9
[2013-07-15 01:17:32.800659] W [nfs3-helpers.c:3391:nfs3_log_common_res] 0-nfs-nfsv3: XID: b2360565, GETATTR: NFS: 2(No such file or directory), POSIX: 14(Bad address)
[2013-07-15 01:17:32.803012] E [nfs3.c:3391:nfs3_remove_resume] 0-nfs-nfsv3: No such file or directory: (10.70.37.5:846) dist-rep : 93e389b2-ed4a-4c42-9bc2-6dad4988d2c2
[2013-07-15 01:17:32.812527] E [nfs3.c:3391:nfs3_remove_resume] 0-nfs-nfsv3: No such file or directory: (10.70.37.5:846) dist-rep : 93e389b2-ed4a-4c42-9bc2-6dad4988d2c2
[2013-07-15 01:17:32.851026] W [nfs3.c:3508:nfs3svc_rmdir_cbk] 0-nfs: ca360565: /newrun/clients => -1 (Directory not empty)
[2013-07-15 01:17:32.856565] E [nfs3.c:762:nfs3_getattr_resume] 0-nfs-nfsv3: No such file or directory: (10.70.37.5:846) dist-rep : 8b40e534-bc89-4c45-935f-68eb456109ce
[2013-07-15 01:17:32.856613] W [nfs3-helpers.c:3391:nfs3_log_common_res] 0-nfs-nfsv3: XID: cb360565, GETATTR: NFS: 2(No such file or directory), POSIX: 14(Bad address)
[2013-07-15 01:17:32.859022] E [nfs3.c:762:nfs3_getattr_resume] 0-nfs-nfsv3: No such file or directory: (10.70.37.5:846) dist-rep : 7dd66995-854a-4a23-ac77-c5534b01462c
[2013-07-15 01:17:32.859068] W [nfs3-helpers.c:3391:nfs3_log_common_res] 0-nfs-nfsv3: XID: ce360565, GETATTR: NFS: 2(No such file or directory), POSIX: 14(Bad address)
[2013-07-15 01:17:32.860704] E [nfs3.c:3391:nfs3_remove_resume] 0-nfs-nfsv3: No such file or directory: (10.70.37.5:846) dist-rep : a2cc0e7a-32cb-4258-b988-c58feebe81ca
[2013-07-15 01:17:32.874612] E [nfs3.c:3391:nfs3_remove_resume] 0-nfs-nfsv3: No such file or directory: (10.70.37.5:846) dist-rep : a2cc0e7a-32cb-4258-b988-c58feebe81ca
[2013-07-15 01:17:32.905974] W [nfs3.c:3508:nfs3svc_rmdir_cbk] 0-nfs: e5360565: /newrun/clients => -1 (Directory not empty)


Expected results:
the directory should get deleted without errors.

Additional info:

just before this bug filed the BZ 984498
Comment 4 Vivek Agarwal 2015-12-03 12:16:48 EST
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.

Note You need to log in before you can comment on or make changes to this bug.